package config

type Config struct {
	App AppConfig      `json:"app" yaml:"app" toml:"app" validate:"required"`
	DB  DatabaseConfig `json:"database" yaml:"database" toml:"database" validate:"required"`
}

// NewConfig will create a new Config struct with the given AppConfig and DatabaseConfig.
func NewConfig(app AppConfig, db DatabaseConfig) Config {
	return Config{
		App: app,
		DB:  db,
	}
}

// NewDefaultConfig will create a new Config struct with default values.
func NewDefaultConfig() Config {
	return Config{
		App: NewAppConfig(nil, nil),
		DB:  NewDatabaseConfig(nil, nil, nil, nil, nil, nil),
	}
}
