package testhelpers

import (
	"database/sql"
	"github.com/rubenv/sql-migrate"
)

func MigrateDatabase(databaseDriver, databaseDialect, connectionString string) error {
	db, err := sql.Open(databaseDriver, connectionString)
	if err != nil {
		return err
	}
	migrations := &migrate.FileMigrationSource{
		Dir: "../../sql/migrations",
	}

	_, err = migrate.Exec(db, databaseDialect, migrations, migrate.Up)
	return err
}
